import styled from 'styled-components';
import { segmentTokens } from '@salutejs/plasma-new-hope/styled-components';
import { bodyXS, bodyM } from '../../../tokens';
import { AccordionItem } from '../../Accordion';
import { SegmentItem } from '../../Segment/Segment';
export var TypographyTokensWrapper = styled.div.withConfig({
    displayName: "Typography.styles__TypographyTokensWrapper",
    componentId: "sc-3dea3b36-0"
})([
    "width:100%;margin:1.5rem auto auto 2.5rem;"
]);
export var FontPropsSwitcher = styled.div.withConfig({
    displayName: "Typography.styles__FontPropsSwitcher",
    componentId: "sc-3dea3b36-1"
})([
    "margin:-0.5rem 0 2.5rem;display:flex;justify-content:center;width:100%;position:relative;box-sizing:border-box;"
]);
export var FontWeightSwitcher = styled.div.withConfig({
    displayName: "Typography.styles__FontWeightSwitcher",
    componentId: "sc-3dea3b36-2"
})([
    "position:absolute;top:0;left:0;"
]);
export var BreakpointSwitcher = styled.div.withConfig({
    displayName: "Typography.styles__BreakpointSwitcher",
    componentId: "sc-3dea3b36-3"
})([
    "width:fit-content;position:relative;&:before{content:'Экран';position:absolute;top:50%;transform:translate(-100%,-50%);left:-0.75rem;color:var(--text-tertiary);",
    ";}"
], bodyXS);
export var StyledSegmentItem = styled(SegmentItem).withConfig({
    displayName: "Typography.styles__StyledSegmentItem",
    componentId: "sc-3dea3b36-4"
})([
    "",
    ":1.75rem;",
    ":0.375rem 0.5rem;"
], segmentTokens.itemHeight, segmentTokens.itemPilledPadding);
export var AccordionTypographyTitle = styled.div.withConfig({
    displayName: "Typography.styles__AccordionTypographyTitle",
    componentId: "sc-3dea3b36-5"
})([
    "color:var(--text-secondary);",
    ";"
], bodyM);
export var FontFamily = styled.span.withConfig({
    displayName: "Typography.styles__FontFamily",
    componentId: "sc-3dea3b36-6"
})([
    "color:var(--text-tertiary);"
]);
export var AccordionInfo = styled.div.withConfig({
    displayName: "Typography.styles__AccordionInfo",
    componentId: "sc-3dea3b36-7"
})([
    "display:grid;grid-template-columns:16.75rem 35.75rem;grid-column-gap:1.5rem;max-width:55.5rem;"
]);
export var StyledAccordionItem = styled(AccordionItem).withConfig({
    displayName: "Typography.styles__StyledAccordionItem",
    componentId: "sc-3dea3b36-8"
})([
    "--plasma-accordion-item-padding:0;--plasma-accordion-item-padding-vertical:0;border-bottom:unset;.accordion-item-body{margin-bottom:2rem;padding-top:0.125rem;transition:margin-bottom 0.2s,padding-top 0.2s;}[aria-expanded]{margin-bottom:1rem;}[aria-expanded='false']{margin-bottom:1.125rem;",
    "{opacity:0;}}[aria-expanded='false'] + div > .accordion-item-body{margin:0;padding:0;}"
], AccordionInfo);
export var TokenInfoWrapper = styled.div.withConfig({
    displayName: "Typography.styles__TokenInfoWrapper",
    componentId: "sc-3dea3b36-9"
})([
    "display:flex;flex-direction:column;gap:2rem;"
]);
export var TokenShortName = styled.div.withConfig({
    displayName: "Typography.styles__TokenShortName",
    componentId: "sc-3dea3b36-10"
})([
    "cursor:copy;color:var(--text-paragraph);",
    ";&:hover{color:var(--text-paragraph-hover);}&:active{color:var(--text-paragraph-active);}"
], bodyM);
export var TokenInfo = styled.div.withConfig({
    displayName: "Typography.styles__TokenInfo",
    componentId: "sc-3dea3b36-11"
})([
    "display:flex;flex-direction:column;gap:1rem;"
]);
export var TokenText = styled.div.withConfig({
    displayName: "Typography.styles__TokenText",
    componentId: "sc-3dea3b36-12"
})([
    "color:var(--text-primary);font-size:",
    ";font-weight:",
    ";line-height:",
    ";letter-spacing:",
    ";font-style:",
    ";white-space:",
    ";"
], function(param) {
    var fontSize = param.fontSize;
    return fontSize;
}, function(param) {
    var fontWeight = param.fontWeight;
    return fontWeight;
}, function(param) {
    var lineHeight = param.lineHeight;
    return lineHeight;
}, function(param) {
    var letterSpacing = param.letterSpacing;
    return letterSpacing;
}, function(param) {
    var fontStyle = param.fontStyle;
    return fontStyle;
}, function(param) {
    var isDisplay = param.isDisplay;
    return isDisplay ? 'nowrap' : 'normal';
});
export var TokenPropValue = styled.div.withConfig({
    displayName: "Typography.styles__TokenPropValue",
    componentId: "sc-3dea3b36-13"
})([
    "color:var(--text-paragraph);"
]);
export var TokenPropName = styled.div.withConfig({
    displayName: "Typography.styles__TokenPropName",
    componentId: "sc-3dea3b36-14"
})([
    "color:var(--text-tertiary);"
]);
export var TokenPropsWrapper = styled.div.withConfig({
    displayName: "Typography.styles__TokenPropsWrapper",
    componentId: "sc-3dea3b36-15"
})([
    "cursor:copy;width:fit-content;display:flex;flex-direction:column;gap:0.5rem;",
    ";&:hover{",
    "{color:var(--text-paragraph-hover);}}&:active{",
    "{color:var(--text-paragraph-active);}",
    "{color:var(--text-tertiary-active);}}"
], bodyXS, TokenPropValue, TokenPropValue, TokenPropName);
export var TokenProps = styled.div.withConfig({
    displayName: "Typography.styles__TokenProps",
    componentId: "sc-3dea3b36-16"
})([
    "display:flex;gap:1rem;"
]);
